/* This file is part of the KDE project
   Copyright (C) 2002   Lucijan Busch <lucijan@gmx.at>

   This program is free software; you can redistribute it and/or
   modify it under the terms of the GNU Library General Public
   License as published by the Free Software Foundation; either
   version 2 of the License, or (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   Library General Public License for more details.

   You should have received a copy of the GNU Library General Public License
   along with this program; see the file COPYING.  If not, write to
   the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
   Boston, MA 02111-1307, USA.
*/

#ifndef PROPERTYEDITOR_H
#define PROPERTYEDITOR_H

#include <qvariant.h>

#include <klistview.h>

#include "propertyeditoreditor.h"
//PropertyEditorEditor;
class PropertyEditorItem;
class PropertyBuffer;

class KFORMEDITOR_EXPORT PropertyEditor : public KListView
{
	Q_OBJECT

	public:
		PropertyEditor(QWidget *parent=0, bool returnToAccept = false, const char *name=0);
		~PropertyEditor();

		void	reset(bool editorOnly = false);
		void	setBuffer(PropertyBuffer *b) { m_buffer = b; }
		virtual QSize sizeHint() const;

	public slots:
		void	setObject(QObject *o);
		void	slotClicked(QListViewItem *i);

	protected slots:
		void	slotEditorAccept(PropertyEditorEditor *editor);
		void	slotEditorReject(PropertyEditorEditor *editor);
		void	slotValueChanged(PropertyEditorEditor *editor);

		void	slotColumnSizeChanged(int section, int oldS, int newS);

	protected:
		void	createEditor(PropertyEditorItem *i, const QRect &geometry);

	private:
		PropertyEditorEditor	*m_currentEditor;
		PropertyEditorItem	*m_editItem;
		bool m_returnToAccept;
		PropertyBuffer		*m_buffer;
};

#endif
